##
##  lemon.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         lemon
Summary:      LALR(1) Parser Generator
URL:          http://www.hwaci.com/sw/lemon/
Vendor:       D. Richard Hipp
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        CompilerCompiler
License:      GPL
Version:      1.0.20090718
Release:      20090718

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/lemon/lemon-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The Lemon program is an LALR(1) parser generator. It takes a context
    free grammar and converts it into a subroutine that will parse a
    file using that grammar.

%track
    prog lemon = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/lemon/
        regex     = lemon-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %{l_shtool} subst \
        -e 's;"lempar.c";"%{l_prefix}/share/lemon/lempar.c";g' \
        lemon.c

%build
    %{l_cc} %{l_cflags -O} -o lemon lemon.c

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/share/lemon
    %{l_shtool} install -c -s -m 755 \
        lemon $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        lempar.c $RPM_BUILD_ROOT%{l_prefix}/share/lemon/
    %{l_shtool} install -c -m 644 \
        lemon.html $RPM_BUILD_ROOT%{l_prefix}/share/lemon/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

